이 섹션의 다중 페이지 출력 화면임. 여기를 클릭하여 프린트.
APIs
- 1: CreateCustomLogEvents
- 1.1: 1.1
- 2: CreateCustomLogStream
- 2.1: 1.1
- 3: CreateCustomMetricMetas
- 3.1: 1.1
- 4: CreateCustomMetrics
- 4.1: 1.1
- 5: CreateDashboard
- 6: DeleteBulkDashboards
- 7: DownloadMetricDataImage
- 8: ListDashboards
- 9: ListMetricData
- 10: ListMetricInfos
- 11: SetDashboard
- 12: ShowAgentDownloadLink
- 12.1: 1.1
- 13: ShowDashboard
1 - CreateCustomLogEvents
1.1 - 1.1
post /v1/log-groups/log-streams/log-events
Description
Create custom log events
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | CustomLogEventsCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | CustomLogEventsCreateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/log-groups/log-streams/log-events
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = servicewatch 1.1"
Request body
{
"resourceLogs": [
{
"resource": {
"attributes": [
{
"key": "log_stream_value",
"value": {
"stringValue": "a1e2f3045678901a2b3c4d5e6f7a8b81"
}
},
{
"key": "log_group_value",
"value": {
"stringValue": "b1e2f3045678901a2b3c4d5e6f7a8b81"
}
},
{
"key": "account_id",
"value": {
"stringValue": "c1e2f3045678901a2b3c4d5e6f7a8b81"
}
}
]
},
"scopeLogs": [
{
"logRecords": [
{
"body": {
"stringValue": "level=info otlp test log"
},
"timeUnixNano": "1762336464000000000"
}
]
}
]
}
]
}
Example HTTP response
Response 202
{
"status": "success"
}
2 - CreateCustomLogStream
2.1 - 1.1
post /v1/log-groups/log-streams/collect/custom
Description
Create a custom log stream
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | LogGroupsLogStreamsCollectCustomRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LogGroupsLogStreamsCollectCustomResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/log-groups/log-streams/collect/custom
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = servicewatch 1.1"
Request body
{
"log_group_name": "testlg01",
"log_stream_name": "testls01"
}
Example HTTP response
Response 200
{
"account_id": "1bcf39b344ac41cbaf0466ff0d2bebad",
"log_group_value": "fa6169af200b4d5db229aff384b2a028",
"log_stream_value": "551513c5182b45beb22eadb634cdccfb",
"requests_per_second": 500
}
3 - CreateCustomMetricMetas
3.1 - 1.1
post /v1/metrics/custom/meta
Description
Create Custom Metric Metas
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | MetricCustomMetaRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | MetricCustomMetaResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/metrics/custom/meta
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = servicewatch 1.1"
Request body
{
"metricMetas": [
{
"descriptionEn": "filestorage volume total byte",
"descriptionKo": "파일스토리지 총 바이트 수",
"dimensions": [
[
"image_id"
]
],
"metricName": "Custom_filestorage_volume_total_byte",
"storageResolution": 60,
"unit": "Bytes"
}
],
"namespace": "MyCustom/filestorage"
}
Example HTTP response
Response 200
{
"account_id": "d79a5194b1a44a858969eb94754d3ba1",
"max_data_points": "",
"unit_logs": [
{
"code": "Success",
"message": "[libvirt_domain_info_virtual_cpus] unit is updated from Count to Bytes"
}
]
}
4 - CreateCustomMetrics
4.1 - 1.1
post /v1/metrics/custom
Description
Create Custom Metrics. The request body of this API can receive data in either camelCase or snake_case.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | MetricCustomRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/metrics/custom
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = servicewatch 1.1"
Request body
{
"resource_metrics": [
{
"resource": {
"attributes": [
{
"key": "",
"value": {
"array_value": "",
"bool_value": "",
"byte_value": "",
"double_value": "",
"int_value": "",
"kvlist_value": "",
"string_value": ""
}
}
]
},
"scope_metrics": [
{
"metrics": [
{
"description": "The total number of bytes read successfully.",
"gauge": {
"data_points": [
{
"as_double": 0.75,
"as_int": 10,
"attributes": [
{
"key": "",
"value": {
"array_value": "",
"bool_value": "",
"byte_value": "",
"double_value": "",
"int_value": "",
"kvlist_value": "",
"string_value": ""
}
}
],
"start_time_unix_nano": "1753776789854000000",
"time_unix_nano": "1753776789854000000"
}
]
},
"name": "node_disk_read_bytes_total",
"sum": {
"aggregation_temporality": "2",
"data_points": [
{
"as_double": 0.75,
"as_int": 10,
"attributes": [
{
"key": "",
"value": {
"array_value": "",
"bool_value": "",
"byte_value": "",
"double_value": "",
"int_value": "",
"kvlist_value": "",
"string_value": ""
}
}
],
"start_time_unix_nano": "1753776789854000000",
"time_unix_nano": "1753776789854000000"
}
],
"is_monotonic": true
},
"unit": "Bytes"
}
],
"scope": {
"name": "ServiceWatch-Agent",
"version": "1.0.0"
}
}
]
}
]
}
Example HTTP response
Response 202
5 - CreateDashboard
5.1 - 1.1
post /v1/dashboards
Description
Create dashboard
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | DashboardCreationRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | DashboardDetailResponseV1Dot1 |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/dashboards
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = servicewatch 1.1"
Request body
{
"name": "New-Monitoring-Dashboard",
"widgets": [
{
"height": 1,
"order": 1,
"properties": {
"metrics": [
{
"color": "#ff7f0e",
"dimensions": [
{
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"individual_items": [
{
"key": "BucketId",
"value": "b-1234567890abcdef0"
}
],
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
},
"type": "metric",
"width": 1
}
]
}
Example HTTP response
Response 201
{
"alerts": {
"summary": {
"high": 1,
"low": 0,
"medium": 3
},
"widgets": [
{
"properties": {
"metrics": [
{
"alerts": [
{
"id": "",
"name": ""
}
],
"color": "#ff7f0e",
"dimensions": [
{
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"individual_items": [
{
"key": "BucketId",
"value": "b-1234567890abcdef0"
}
],
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
}
}
]
},
"created_at": "2026-02-11T06:44:15.180Z",
"created_by": "user-xxxxxxxx",
"favorite_enabled": true,
"id": "b48e730a70e74f6aa3d2555000b5c22b",
"modified_at": "",
"modified_by": "user-yyyyyyyy",
"name": "Production-Web-Servers",
"product_name": "ServiceWatch",
"resource_id": "c8e41e595ad040a8abe57e2ffc109113",
"resource_name": "Production-Web-Servers",
"resource_type": "dashboard",
"share_type": "Private",
"srn": "srn:vs:kr-central-1:123456789012:instance/c8e41e595ad040a8abe57e2ffc109113",
"type": "Custom",
"widgets": [
{
"dashboard_id": "b48e730a70e74f6aa3d2555000b5c22b",
"height": 1,
"id": "75da70a1a4fb486ab0282cf90693ec3c",
"order": 1,
"properties": {
"metrics": [
{
"color": "#ff7f0e",
"dimensions": [
{
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
},
"type": "metric",
"width": 1
}
]
}
5.2 - 1.0
post /v1/dashboards
Description
Create dashboard
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | DashboardCreationRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | DashboardDetailResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/dashboards
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = servicewatch 1.0"
Request body
{
"name": "New-Monitoring-Dashboard",
"widgets": [
{
"height": 1,
"order": 1,
"properties": {
"metrics": [
{
"color": "#ff7f0e",
"dimensions": [
{
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"individual_items": [
{
"key": "BucketId",
"value": "b-1234567890abcdef0"
}
],
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
},
"type": "metric",
"width": 1
}
]
}
Example HTTP response
Response 201
{
"alerts": {
"summary": {
"high": 1,
"low": 0,
"medium": 3
},
"widgets": [
{
"properties": {
"metrics": [
{
"alerts": [
{
"id": "",
"name": ""
}
],
"color": "#ff7f0e",
"dimensions": [
{
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"individual_items": [
{
"key": "BucketId",
"value": "b-1234567890abcdef0"
}
],
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
}
}
]
},
"created_at": "2026-02-11T06:44:14.512Z",
"created_by": "user-xxxxxxxx",
"favorite_enabled": true,
"id": "b48e730a70e74f6aa3d2555000b5c22b",
"modified_at": "",
"modified_by": "user-yyyyyyyy",
"name": "Production-Web-Servers",
"product_name": "ServiceWatch",
"resource_id": "c8e41e595ad040a8abe57e2ffc109113",
"resource_name": "Production-Web-Servers",
"resource_type": "dashboard",
"share_type": "Private",
"srn": "srn:vs:kr-central-1:123456789012:instance/c8e41e595ad040a8abe57e2ffc109113",
"type": "Custom",
"widgets": [
{
"dashboard_id": "b48e730a70e74f6aa3d2555000b5c22b",
"height": 1,
"id": "75da70a1a4fb486ab0282cf90693ec3c",
"order": 1,
"properties": {
"metrics": [
{
"color": "#ff7f0e",
"dimensions": [
{
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"individual_items": [
{
"key": "BucketId",
"value": "b-1234567890abcdef0"
}
],
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
},
"type": "metric",
"width": 1
}
]
}
6 - DeleteBulkDashboards
6.1 - 1.1
delete /v1/dashboards
Description
Delete bulk dashboards
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | DashboardBulkDeleteRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | DashboardBulkDeleteResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/dashboards
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = servicewatch 1.1"
Request body
{
"dashboard_ids": [
"b48e730a70e74f6aa3d2555000b5c22b",
"c48e730a70e74f6aa3d2555000b5c22b"
]
}
Example HTTP response
Response 200
{
"dashboard_names": [
"dash-abc",
"dash-def"
]
}
6.2 - 1.0
delete /v1/dashboards
Description
Delete bulk dashboards
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | DashboardBulkDeleteRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | DashboardBulkDeleteResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/dashboards
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = servicewatch 1.0"
Request body
{
"dashboard_ids": [
"b48e730a70e74f6aa3d2555000b5c22b",
"c48e730a70e74f6aa3d2555000b5c22b"
]
}
Example HTTP response
Response 200
{
"dashboard_names": [
"dash-abc",
"dash-def"
]
}
7 - DownloadMetricDataImage
7.1 - 1.1
post /v1/metrics/data/download/image
Description
Download metric data image
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | MetricDataImageRequestV1Dot1 |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/metrics/data/download/image
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = servicewatch 1.1"
Request body
{
"end": 1640995440,
"height": 400,
"metrics": [
{
"color": "#0000ff",
"dimensions": [
{
"key": "VolumeID",
"value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
}
],
"display_name": "Virtual Server | VirtualServer001 | CPU Usage/Core[Basic]",
"name": "CPU Usage/Core[Basic]",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"start": 1640995200,
"statistic_type": "AVG",
"timezone": "UTC",
"title": "Virtual Server Metric Chart",
"width": 600
}
Example HTTP response
Response 200
7.2 - 1.0
post /v1/metrics/data/download/image
Description
Download metric data image
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | MetricDataImageRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/metrics/data/download/image
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = servicewatch 1.0"
Request body
{
"end": 1640995440,
"height": 400,
"metrics": [
{
"color": "#0000ff",
"dimensions": [
{
"key": "VolumeID",
"value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
}
],
"display_name": "Virtual Server | VirtualServer001 | CPU Usage/Core[Basic]",
"individual_items": [
{
"key": "VolumeID",
"value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
}
],
"name": "CPU Usage/Core[Basic]",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"start": 1640995200,
"statistic_type": "AVG",
"timezone": "UTC",
"title": "Virtual Server Metric Chart",
"width": 600
}
Example HTTP response
Response 200
8 - ListDashboards
8.1 - 1.1
get /v1/dashboards
Description
Get list of dashboards
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : name:asc or modified_at:desc | any of [string, null] | None |
| query | name optional | Dashboard’s name Example : MyProd | any of [string, null] | None |
| query | name_like optional | Wildcard Search for Dashboard Names Example : MyProd | any of [string, null] | None |
| query | favorite_enabled optional | Whether it is a favorite dashboard Example : True | any of [boolean, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | DashboardPageResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/dashboards
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = servicewatch 1.1"
Example HTTP response
Response 200
{
"count": 20,
"dashboards": [
{
"created_at": "2026-02-11T06:44:14.473Z",
"favorite_enabled": true,
"id": "b48e730a70e74f6aa3d2555000b5c22b",
"modified_at": "2026-02-11T06:44:14.474Z",
"name": "Production-Web-Servers",
"type": "Custom"
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
8.2 - 1.0
get /v1/dashboards
Description
Get list of dashboards
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : name:asc or modified_at:desc | any of [string, null] | None |
| query | name optional | Dashboard’s name Example : MyProd | any of [string, null] | None |
| query | name_like optional | Wildcard Search for Dashboard Names Example : MyProd | any of [string, null] | None |
| query | favorite_enabled optional | Whether it is a favorite dashboard Example : True | any of [boolean, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | DashboardPageResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/dashboards
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = servicewatch 1.0"
Example HTTP response
Response 200
{
"count": 20,
"dashboards": [
{
"created_at": "2026-02-11T06:44:14.473Z",
"favorite_enabled": true,
"id": "b48e730a70e74f6aa3d2555000b5c22b",
"modified_at": "2026-02-11T06:44:14.474Z",
"name": "Production-Web-Servers",
"type": "Custom"
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
9 - ListMetricData
9.1 - 1.1
post /v1/metrics/data
Description
Get metric data list
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | MetricDataRequestV1Dot1 |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | MetricDataResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/metrics/data
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = servicewatch 1.1"
Request body
{
"end": 1640995440,
"metrics": [
{
"dimensions": [
{
"key": "VolumeID",
"value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
}
],
"display_name": "Virtual Server | VirtualServer001 | CPU Usage/Core[Basic]",
"name": "CPU Usage/Core[Basic]",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"start": 1640995200,
"statistic_type": "AVG"
}
Example HTTP response
Response 200
{
"metrics": [
{
"display_name": "Virtual Server | VirtualServer001 | CPU Usage/Core[Basic]",
"status": "",
"values": "[[1640995200, \"45.5\"]]"
}
]
}
9.2 - 1.0
post /v1/metrics/data
Description
Get metric data list
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | MetricDataRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | MetricDataResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/metrics/data
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = servicewatch 1.0"
Request body
{
"end": 1640995440,
"metrics": [
{
"dimensions": [
{
"key": "VolumeID",
"value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
}
],
"display_name": "Virtual Server | VirtualServer001 | CPU Usage/Core[Basic]",
"individual_items": [
{
"key": "VolumeID",
"value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
}
],
"name": "CPU Usage/Core[Basic]",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"start": 1640995200,
"statistic_type": "AVG"
}
Example HTTP response
Response 200
{
"metrics": [
{
"display_name": "Virtual Server | VirtualServer001 | CPU Usage/Core[Basic]",
"status": "",
"values": "[[1640995200, \"45.5\"]]"
}
]
}
10 - ListMetricInfos
10.1 - 1.1
post /v1/metrics
Description
Get metric list
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | MetricSearchRequestV1Dot1 |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | MetricsResponseV1Dot1 |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/metrics
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = servicewatch 1.1"
Request body
{
"metric_name": "CPU Usage/Core[Basic]",
"namespaces": [
{
"dimensions": "[[\"resource_id\"]]",
"name": "Virtual Server"
}
],
"resource_id": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502",
"resource_name": "VirtualServer01",
"tags": [
{
"key": "key01",
"value": "value01"
}
]
}
Example HTTP response
Response 200
{
"count": 1,
"namespaces": [
{
"dimensions": [
{
"columns": [
{
"key": "name",
"name_en": "지표명",
"name_ko": "지표명"
}
],
"keys": "InstanceId",
"metrics": [
{
"alerts": [
{
"id": "0ad6da92-634a-4f8c-932e-9d650599ab1e",
"name": "Alert1"
}
],
"default_collection_interval": "5m",
"detailed_collection_interval": "1m",
"dimensions": [
{
"key": "VolumeID",
"value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
}
],
"id": "d91097ac-0387-4e69-adb2-7b8d453b8db5",
"name": "CPU Usage/Core[Basic]",
"named_dimensions": [
{
"key": "VolumeID",
"value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
}
],
"namespace_id": "d583a229-9766-4eb8-96c4-ec389902ba3d",
"namespace_name": "Virtual Server",
"primary": true,
"recommended_stat_types": "[\"AVG\", \"MAX\"]",
"tags": [
{
"key": "key01",
"value": "value01"
}
],
"unit": "BYTE"
}
]
}
],
"id": "d583a229-9766-4eb8-96c4-ec389902ba3d",
"name": "Virtual Server",
"service_name": ""
}
]
}
10.2 - 1.0
post /v1/metrics
Description
Get metric list
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | MetricSearchRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | MetricsResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/metrics
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = servicewatch 1.0"
Request body
{
"metric_name": "CPU Usage/Core[Basic]",
"namespaces": [
{
"dimensions": "[\"resource_id\"]",
"name": "Virtual Server"
}
],
"resource_id": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502",
"resource_name": "VirtualServer01",
"tags": [
{
"key": "key01",
"value": "value01"
}
]
}
Example HTTP response
Response 200
{
"count": 1,
"namespaces": [
{
"dimensions": [
{
"columns": [
{
"key": "name",
"name_en": "지표명",
"name_ko": "지표명"
}
],
"key": "InstanceId",
"metrics": [
{
"alerts": [
{
"id": "0ad6da92-634a-4f8c-932e-9d650599ab1e",
"name": "Alert1"
}
],
"default_collection_interval": "5m",
"detailed_collection_interval": "1m",
"dimensions": [
{
"key": "VolumeID",
"value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
}
],
"id": "d91097ac-0387-4e69-adb2-7b8d453b8db5",
"individual_items": [
{
"key": "VolumeID",
"value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
}
],
"name": "CPU Usage/Core[Basic]",
"named_dimensions": [
{
"key": "VolumeID",
"value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
}
],
"namespace_id": "d583a229-9766-4eb8-96c4-ec389902ba3d",
"namespace_name": "Virtual Server",
"primary": true,
"recommended_stat_types": "[\"AVG\", \"MAX\"]",
"tags": [
{
"key": "key01",
"value": "value01"
}
],
"unit": "BYTE"
}
]
}
],
"id": "d583a229-9766-4eb8-96c4-ec389902ba3d",
"name": "Virtual Server",
"service_name": ""
}
]
}
11 - SetDashboard
11.1 - 1.1
put /v1/dashboards/{dashboard_id}
Description
Set dashboard
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | dashboard_id required | Dashboard’s unique ID Example : b48e730a70e74f6aa3d2555000b5c22b | string | None |
| body | body required | DashboardUpdateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | DashboardDetailResponseV1Dot1 |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/dashboards/{dashboard_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = servicewatch 1.1"
Request body
{
"name": "Renamed-Dashboard",
"widgets": [
{
"height": 1,
"order": 1,
"properties": {
"metrics": [
{
"color": "#ff7f0e",
"dimensions": [
{
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"individual_items": [
{
"key": "BucketId",
"value": "b-1234567890abcdef0"
}
],
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
},
"type": "metric",
"width": 1
}
]
}
Example HTTP response
Response 200
{
"alerts": {
"summary": {
"high": 1,
"low": 0,
"medium": 3
},
"widgets": [
{
"properties": {
"metrics": [
{
"alerts": [
{
"id": "",
"name": ""
}
],
"color": "#ff7f0e",
"dimensions": [
{
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"individual_items": [
{
"key": "BucketId",
"value": "b-1234567890abcdef0"
}
],
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
}
}
]
},
"created_at": "2026-02-11T06:44:15.180Z",
"created_by": "user-xxxxxxxx",
"favorite_enabled": true,
"id": "b48e730a70e74f6aa3d2555000b5c22b",
"modified_at": "",
"modified_by": "user-yyyyyyyy",
"name": "Production-Web-Servers",
"product_name": "ServiceWatch",
"resource_id": "c8e41e595ad040a8abe57e2ffc109113",
"resource_name": "Production-Web-Servers",
"resource_type": "dashboard",
"share_type": "Private",
"srn": "srn:vs:kr-central-1:123456789012:instance/c8e41e595ad040a8abe57e2ffc109113",
"type": "Custom",
"widgets": [
{
"dashboard_id": "b48e730a70e74f6aa3d2555000b5c22b",
"height": 1,
"id": "75da70a1a4fb486ab0282cf90693ec3c",
"order": 1,
"properties": {
"metrics": [
{
"color": "#ff7f0e",
"dimensions": [
{
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
},
"type": "metric",
"width": 1
}
]
}
11.2 - 1.0
put /v1/dashboards/{dashboard_id}
Description
Set dashboard
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | dashboard_id required | Dashboard’s unique ID Example : b48e730a70e74f6aa3d2555000b5c22b | string | None |
| body | body required | DashboardUpdateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | DashboardDetailResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/dashboards/{dashboard_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = servicewatch 1.0"
Request body
{
"name": "Renamed-Dashboard",
"widgets": [
{
"height": 1,
"order": 1,
"properties": {
"metrics": [
{
"color": "#ff7f0e",
"dimensions": [
{
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"individual_items": [
{
"key": "BucketId",
"value": "b-1234567890abcdef0"
}
],
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
},
"type": "metric",
"width": 1
}
]
}
Example HTTP response
Response 200
{
"alerts": {
"summary": {
"high": 1,
"low": 0,
"medium": 3
},
"widgets": [
{
"properties": {
"metrics": [
{
"alerts": [
{
"id": "",
"name": ""
}
],
"color": "#ff7f0e",
"dimensions": [
{
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"individual_items": [
{
"key": "BucketId",
"value": "b-1234567890abcdef0"
}
],
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
}
}
]
},
"created_at": "2026-02-11T06:44:14.512Z",
"created_by": "user-xxxxxxxx",
"favorite_enabled": true,
"id": "b48e730a70e74f6aa3d2555000b5c22b",
"modified_at": "",
"modified_by": "user-yyyyyyyy",
"name": "Production-Web-Servers",
"product_name": "ServiceWatch",
"resource_id": "c8e41e595ad040a8abe57e2ffc109113",
"resource_name": "Production-Web-Servers",
"resource_type": "dashboard",
"share_type": "Private",
"srn": "srn:vs:kr-central-1:123456789012:instance/c8e41e595ad040a8abe57e2ffc109113",
"type": "Custom",
"widgets": [
{
"dashboard_id": "b48e730a70e74f6aa3d2555000b5c22b",
"height": 1,
"id": "75da70a1a4fb486ab0282cf90693ec3c",
"order": 1,
"properties": {
"metrics": [
{
"color": "#ff7f0e",
"dimensions": [
{
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"individual_items": [
{
"key": "BucketId",
"value": "b-1234567890abcdef0"
}
],
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
},
"type": "metric",
"width": 1
}
]
}
12 - ShowAgentDownloadLink
12.1 - 1.1
get /v1/agents/download-link
Description
Show link to agent download
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | AgentDownloadLinkResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/agents/download-link
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = servicewatch 1.1"
Example HTTP response
Response 200
{
"download_link": "download_link = 'https://object-store.private.{region}.{environment}.samsungsdscloud.com/account:swt-agent/1.0/ServiceWatch_Agent.zip'"
}
13 - ShowDashboard
13.1 - 1.1
get /v1/dashboards/{dashboard_id}
Description
Show dashboard
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | dashboard_id required | Dashboard’s unique ID Example : b48e730a70e74f6aa3d2555000b5c22b | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | DashboardDetailResponseV1Dot1 |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/dashboards/{dashboard_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = servicewatch 1.1"
Example HTTP response
Response 200
{
"alerts": {
"summary": {
"high": 1,
"low": 0,
"medium": 3
},
"widgets": [
{
"properties": {
"metrics": [
{
"alerts": [
{
"id": "",
"name": ""
}
],
"color": "#ff7f0e",
"dimensions": [
{
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"individual_items": [
{
"key": "BucketId",
"value": "b-1234567890abcdef0"
}
],
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
}
}
]
},
"created_at": "2026-02-11T06:44:15.180Z",
"created_by": "user-xxxxxxxx",
"favorite_enabled": true,
"id": "b48e730a70e74f6aa3d2555000b5c22b",
"modified_at": "",
"modified_by": "user-yyyyyyyy",
"name": "Production-Web-Servers",
"product_name": "ServiceWatch",
"resource_id": "c8e41e595ad040a8abe57e2ffc109113",
"resource_name": "Production-Web-Servers",
"resource_type": "dashboard",
"share_type": "Private",
"srn": "srn:vs:kr-central-1:123456789012:instance/c8e41e595ad040a8abe57e2ffc109113",
"type": "Custom",
"widgets": [
{
"dashboard_id": "b48e730a70e74f6aa3d2555000b5c22b",
"height": 1,
"id": "75da70a1a4fb486ab0282cf90693ec3c",
"order": 1,
"properties": {
"metrics": [
{
"color": "#ff7f0e",
"dimensions": [
{
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
},
"type": "metric",
"width": 1
}
]
}
13.2 - 1.0
get /v1/dashboards/{dashboard_id}
Description
Show dashboard
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | dashboard_id required | Dashboard’s unique ID Example : b48e730a70e74f6aa3d2555000b5c22b | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | DashboardDetailResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/dashboards/{dashboard_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = servicewatch 1.0"
Example HTTP response
Response 200
{
"alerts": {
"summary": {
"high": 1,
"low": 0,
"medium": 3
},
"widgets": [
{
"properties": {
"metrics": [
{
"alerts": [
{
"id": "",
"name": ""
}
],
"color": "#ff7f0e",
"dimensions": [
{
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"individual_items": [
{
"key": "BucketId",
"value": "b-1234567890abcdef0"
}
],
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
}
}
]
},
"created_at": "2026-02-11T06:44:14.512Z",
"created_by": "user-xxxxxxxx",
"favorite_enabled": true,
"id": "b48e730a70e74f6aa3d2555000b5c22b",
"modified_at": "",
"modified_by": "user-yyyyyyyy",
"name": "Production-Web-Servers",
"product_name": "ServiceWatch",
"resource_id": "c8e41e595ad040a8abe57e2ffc109113",
"resource_name": "Production-Web-Servers",
"resource_type": "dashboard",
"share_type": "Private",
"srn": "srn:vs:kr-central-1:123456789012:instance/c8e41e595ad040a8abe57e2ffc109113",
"type": "Custom",
"widgets": [
{
"dashboard_id": "b48e730a70e74f6aa3d2555000b5c22b",
"height": 1,
"id": "75da70a1a4fb486ab0282cf90693ec3c",
"order": 1,
"properties": {
"metrics": [
{
"color": "#ff7f0e",
"dimensions": [
{
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"individual_items": [
{
"key": "BucketId",
"value": "b-1234567890abcdef0"
}
],
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
},
"type": "metric",
"width": 1
}
]
}